﻿* Encoding: UTF-8.

* Code into 10-year age bands

RECODE Age.T08 (18 thru 25=0) (26 thru 35=1) (36 thru 45=2) (46 thru 55=3) (56 thru 65=4) (66 thru 
    75=5) (76 thru Highest=6) (ELSE=SYSMIS) INTO Age10. 
EXECUTE. 


*10-year age bands x siblings MANOVA on HEXACO personality traits

GLM T8.EXTRAVERSION T8.AGREEABLENESS T8.CONSCIENTIOUSNESS T8.NEUROTICISM T8.OPENNESS T8.HONESTY_HUMILITY BY Age10 Have.Siblings.T08 
  /METHOD=SSTYPE(3) 
  /INTERCEPT=INCLUDE 
  /POSTHOC=Age10(BONFERRONI) 
  /PLOT=PROFILE(Age10*Have.Siblings.T08) 
  /EMMEANS=TABLES(Age10) 
  /EMMEANS=TABLES(Have.Siblings.T08) 
  /EMMEANS=TABLES(Age10*Have.Siblings.T08) 
  /PRINT=ETASQ DESCRIPTIVE
  /CRITERIA=ALPHA(.05) 
  /DESIGN=Age10 Have.Siblings.T08 Age10*Have.Siblings.T08.



* Gender x siblings MANOVA on HEXACO personality traits

GLM T8.EXTRAVERSION T8.AGREEABLENESS T8.CONSCIENTIOUSNESS T8.NEUROTICISM T8.OPENNESS T8.HONESTY_HUMILITY BY Gender.T08 Have.Siblings.T08 
  /METHOD=SSTYPE(3) 
  /INTERCEPT=INCLUDE 
  /EMMEANS=TABLES(Gender.T08) 
  /EMMEANS=TABLES(Have.Siblings.T08) 
  /EMMEANS=TABLES(Gender.T08*Have.Siblings.T08) 
  /PRINT ETASQ DESCRIPTIVE
  /CRITERIA=ALPHA(.05) 
  /DESIGN=Gender.T08 Have.Siblings.T08 Gender.T08*Have.Siblings.T08.
